# Google Mirror API . settings

## Instance Methods

Gets a single setting by ID.

### Method Details

`get(id=None)`

    Gets a single setting by ID.

    Args:
      id: string, The ID of the setting. The following IDs are valid:
    - locale - The key to the user’s language/locale (BCP 47 identifier) that Glassware should use to render localized content.
    - timezone - The key to the user’s current time zone region as defined in the tz database. Example: America/Los_Angeles. (required)

    Returns:
      An object of the form:

        { # A setting for Glass.
        "kind": "mirror#setting", # The type of resource. This is always mirror#setting.
        "id": "A String", # The setting's ID. The following IDs are valid:
            # - locale - The key to the user’s language/locale (BCP 47 identifier) that Glassware should use to render localized content.
            # - timezone - The key to the user’s current time zone region as defined in the tz database. Example: America/Los_Angeles.
        "value": "A String", # The setting value, as a string.
      }